MergeEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class MergeEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.MergeEvent

All Implemented Interfaces:
  Serializable

    public class MergeEvent

extends AbstractEvent

An event class for merge() and saveOrUpdateCopy()

See Also:
  Serialized Form

Constructor Summary
`MergeEvent(Object object, EventSource source)`
`MergeEvent(String entityName, Object original, EventSource source)`
`MergeEvent(String entityName, Object original, Serializable id, EventSource source)`

Method Summary
`Object` | `getEntity()`
`String` | `getEntityName()`
`Object` | `getOriginal()`
`Serializable` | `getRequestedId()`
`Object` | `getResult()`
`void` | `setEntity(Object entity)`
`void` | `setEntityName(String entityName)`
`void` | `setOriginal(Object object)`
`void` | `setRequestedId(Serializable requestedId)`
`void` | `setResult(Object result)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeEvent

    public MergeEvent(String entityName,
                      Object original,
                      EventSource source)

### MergeEvent

    public MergeEvent(String entityName,
                      Object original,
                      Serializable id,
                      EventSource source)

### MergeEvent

    public MergeEvent(Object object,
                      EventSource source)

Method Detail

### getOriginal

    public Object getOriginal()

### setOriginal

    public void setOriginal(Object object)

### getRequestedId

    public Serializable getRequestedId()

### setRequestedId

    public void setRequestedId(Serializable requestedId)

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

### getEntity

    public Object getEntity()

### setEntity

    public void setEntity(Object entity)

### getResult

    public Object getResult()

### setResult

    public void setResult(Object result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.